import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listUmsMemberDoorLock(query) {
  return request({
    url: '/mall/memberDoorLock/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getUmsMemberDoorLock(id) {
  return request({
    url: '/mall/memberDoorLock/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addUmsMemberDoorLock(data) {
  return request({
    url: '/mall/memberDoorLock',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateUmsMemberDoorLock(data) {
  return request({
    url: '/mall/memberDoorLock',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delUmsMemberDoorLock(id) {
  return request({
    url: '/mall/memberDoorLock/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportUmsMemberDoorLock(query) {
  return request({
    url: '/mall/memberDoorLock/export',
    method: 'get',
    params: query
  })
}
